Bug 824856 - PackageKit giving unhelpful error message "Operation was cancelled"
PackageKit giving unhelpful error message "Operation was cancelled"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 09:00 EDT by Dave Neary
Modified: 2013-08-01 13:06 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:06:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Neary 2012-05-24 09:00:31 EDT
When PackageKit tries to get the updates list, it fails systematically for me with the message "Could not get updates. Failed to process request." Under "More details", I get the message "Operation was cancelled".

There is no other hint what might be going wrong, or how to fix it.

When I ran yum update as advised on IRC, the update list displays fine and I can update manually.

I would like to have a more helpful error message, or some idea of a log file where I could find the root cause, or a way to run this verbosely to find out what the real problem is.

Thanks!
Comment 1 Dave Neary 2012-05-24 09:03:45 EDT
Additional information (potentially not related): in /var/log/messages, when I run pkcon refresh --verbose I see the warning:

May 24 15:02:38 galway dbus-daemon[610]: (packagekitd:26605): PkPlugin-WARNING **: failed to clear /var/run/PackageKit/udev
Comment 2 Abhijit Hoskeri 2012-05-31 11:33:12 EDT
I get the same error too, and when I do 'yum update' on the command line, I see that there are no packages to be upgraded.
Comment 3 Dave Neary 2012-06-04 09:34:10 EDT
Is there anything I can do to help diagnose this? Additional debugging, or running things on the command line or in gdb? Happy to help, because I get these several times a day, and it's really annoying (especially since I get 3 at a time, they're all modal to one another, and in GNOME-Shell there's no way to tell which one I need to get rid of first).
Comment 4 Salil Wadnerkar 2012-06-22 18:17:20 EDT
I get the same error too. However, update from command line works.
Comment 5 Richard Hughes 2012-06-26 06:47:08 EDT
(In reply to comment #3)
> Is there anything I can do to help diagnose this? Additional debugging, or
> running things on the command line or in gdb? Happy to help, because I get
> these several times a day, and it's really annoying (especially since I get
> 3 at a time, they're all modal to one another, and in GNOME-Shell there's no
> way to tell which one I need to get rid of first).

What tool are you using to view the update list? gnome-packagekit? apper? something else?

If it's the former, attaching the output of "gpk-update-viewer --verbose" would be super useful, thanks.
Comment 6 Salil Wadnerkar 2012-06-26 17:36:07 EDT
Since the original bug-reporter is busy, And this bug has been vexing me, I thought I will chime in. Here is the output you wanted:

gpk-update-viewer --verbose
05:33:03	GnomePackageKit     Verbose debugging enabled (on console 1)
Comment 7 Johannes Erdfelt 2012-06-27 15:51:13 EDT
I was having this problem too and I kept this bug bookmarked so I can track it.

However, after rebooting my system (power failure), PackageKit is working fine again.
Comment 8 Salil Wadnerkar 2012-06-27 16:57:38 EDT
I confirm that after rebooting, PackageKit works fine. About this issue, I think the problem started when I quit the PackageKit (by clicking on Quit) while it was fetching repository information. After that, when I started it againm, it just showed a blank screen and that unhelpful message "Failed to process request." with  "Operation was cancelled" under "More details".
Comment 9 collura 2012-06-28 14:15:48 EDT
comment#8 sounds like its related to:

  https://bugzilla.redhat.com/show_bug.cgi?id=804361
Comment 10 Wayne Hammond 2013-06-13 12:15:44 EDT
I have been getting the same message for a week or so now. I ran "gpk-update-viewer --verbose" as root and received this  output:



11:07:53	GnomePackageKit     Verbose debugging enabled (on console 1)
11:07:58	GnomePackageKit     using native mode: 700x1200
11:07:58	GnomePackageKit     wrap_width is impossibly small -200
11:07:58	GnomePackageKit     wrap_width is impossibly small -200
11:07:58	GnomePackageKit     wrap_width is impossibly small -200
11:07:58	GnomePackageKit     wrap_width is impossibly small -200
11:07:58	GnomePackageKit     only showing newest updates
11:07:58	GnomePackageKit     status wait
11:07:58	GnomePackageKit     wrap_width is impossibly small -200
11:07:58	GnomePackageKit     status wait
11:07:58	GnomePackageKit     status setup
11:08:00	GnomePackageKit     status query
11:08:00	GnomePackageKit     status finished
11:08:00	GnomePackageKit     status setup
11:08:00	GnomePackageKit     status info
11:08:04	GnomePackageKit     wrap_width is impossibly small -200
11:08:08	GnomePackageKit     status finished
11:08:08	GnomePackageKit     network status is online
11:08:08	GnomePackageKit     wrap_width is impossibly small -200
11:08:10	GnomePackageKit     wrap_width is impossibly small -200

Does this help?
Comment 11 Fedora End Of Life 2013-07-04 01:50:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 13:06:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.